Subject: Re: [PATCH 1/1] tests: add LIBCURL prerequisite to tests needing libcurl

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Jun 2022 14:08:50 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>>> -if test -n "$NO_CURL"
>>> +if ! test_have_prereq LIBCURL
>>>  then
>>>  	skip_all='skipping test, git built without http support'
>>>  	test_done
>>
>> This is not strictly needed in "the most minimal fix possible", is
>> it?  Just checking.
>
> I figured if I was adding a $NO_CURL prereq I might as well change the
> only existing use of $NO_CURL to use it, which also assures the reader
> that our test suite is getting this from somewhere already.
>
> But I'll drop this in a re-roll.

No need.  It already is at the tip of 'master' applied directly.